Summary:   NetworkManager VPN integration for openconnect
Name:      networkmanager-openconnect
Version:   0.9.8.0
Release:   %mkrel 1
License:   GPLv2+
Group:     System/Base
URL:       http://www.gnome.org/projects/NetworkManager/
Source:    http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-openconnect/0.9/NetworkManager-openconnect-%{version}.tar.xz
BuildRequires: pkgconfig(dbus-glib-1) >= 0.74
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0) > 2.91.4
BuildRequires: pkgconfig(libnm-glib) >= 0.9.2
BuildRequires: pkgconfig(libnm-glib-vpn) >= 0.9.2
BuildRequires: pkgconfig(libnm-util) >= 0.9.2
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(openconnect)
BuildRequires: pkgconfig(NetworkManager) >= 0.9.2
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: intltool gettext
Requires: openconnect
Obsoletes: openconnect-nm-auth-dialog

%description
This package contains software for integrating the openconnect VPN software
with NetworkManager and the GNOME desktop

%prep
%setup -q -n NetworkManager-openconnect-%{version}
%apply_patches

%build
%configure2_5x \
    --disable-static \
    --with-gnome \
    --with-authdlg \
    --disable-more-warnings
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/NetworkManager/libnm-openconnect-properties.la

%find_lang NetworkManager-openconnect

%pre
%{_sbindir}/groupadd -r nm-openconnect &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d / -M \
                     -c 'NetworkManager user for OpenConnect' \
                     -g nm-openconnect nm-openconnect &>/dev/null || :

%files -f NetworkManager-openconnect.lang
%doc AUTHORS ChangeLog COPYING
%{_libdir}/NetworkManager/lib*.so*
%{_libexecdir}/nm-openconnect-auth-dialog
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-openconnect-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-openconnect-service.name
%{_libexecdir}/nm-openconnect-service
%{_libexecdir}/nm-openconnect-service-openconnect-helper
%{_datadir}/gnome-vpn-properties/openconnect





%changelog

* Wed Feb 20 2013 ovitters <ovitters> 0.9.8.0-1.mga3
+ Revision: 399584
- new version 0.9.8.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.9.6.2-2.mga3
+ Revision: 337488
- Fix for _libdir != _libexecdir

* Thu Aug 09 2012 ovitters <ovitters> 0.9.6.2-1.mga3
+ Revision: 280161
- new version 0.9.6.2
- new version 0.9.6.0

* Fri Jun 29 2012 ovitters <ovitters> 0.9.5.95-1.mga3
+ Revision: 264906
- br gnome-keyring-1
- new version 0.9.5.95

* Sat Mar 24 2012 ovitters <ovitters> 0.9.4.0-1.mga2
+ Revision: 225997
- new version 0.9.4.0

* Fri Mar 02 2012 ovitters <ovitters> 0.9.3.995-1.mga2
+ Revision: 216906
- new version 0.9.3.995
- drop patches applied upstream

* Sat Feb 25 2012 guillomovitch <guillomovitch> 0.9.2.0-2.mga2
+ Revision: 214712
- rebuild, fixing openconnect binary path issue (#3950)

  + fwang <fwang>
    - new version 0.9.2.0

  + mikala <mikala>
    - Update tarball to 0.9.0
    - use xz tarball
    - drop patch1 (not needed anymore)

* Sun Jul 17 2011 mikala <mikala> 0.8.999-2.mga2
+ Revision: 125266
- Rebuild for openconnect 3.10

* Tue Jun 14 2011 mikala <mikala> 0.8.999-1.mga2
+ Revision: 106250
- Update tarball to 0.8.999
- Fix BuildRequires

* Fri May 06 2011 mikala <mikala> 0.8.4-1.mga1
+ Revision: 95645
- Remove BuildRoot
- set openconnect version to 3.02
- imported package networkmanager-openconnect

